import React, { useState } from "react";
import { Card, Row, Col, Button } from "react-bootstrap";
import { LinkContainer } from "react-router-bootstrap";
import Fetcher from "../Fetcher";

function OrderCards() {
  const [orders, setOrders] = useState([]);
  const order_list = orders.map((o) => (
    <Card key={o.ID} as={Col} sm={4}>
      <Card.Body>
        <Card.Title>{o.name}</Card.Title>
        <Card.Text>{o.description}</Card.Text>
        <LinkContainer to={"/order/" + o.ID}>
          <Button>Realizar pedido</Button>
        </LinkContainer>
      </Card.Body>
    </Card>
  ));
  return (
    <Fetcher url={"/api/order/active"} onFetch={setOrders}>
      <Row>{order_list}</Row>
    </Fetcher>
  );
}

export default OrderCards;
